<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('sirab', function (Blueprint $table) {
            $table->id();
            $table->string('family', 150)->nullable();
            $table->string('spesies', 150)->nullable();
            $table->string('antibiotik', 150)->nullable();
            $table->string('subantibiotik', 150)->nullable();
            $table->string('diskcontent', 100)->nullable();
            $table->integer('batasatas')->nullable();
            $table->string('midrange', 150)->nullable();
            $table->integer('batasbawah')->nullable();
            $table->string('sumber', 255)->nullable();
            $table->string('kodedok', 50)->nullable();
            $table->string('atu', 50)->nullable();
            $table->string('kelompok', 50)->nullable();
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrent();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('sirab');
    }
};
